-- 基础信息
base_info = {
	group_id = 245015002
}

-- Trigger变量
defs = {
	group_id = 245015002,
	fundation_id = 70350145,
	challange_group_id = 245015001
}

-- DEFS_MISCS
local towerPrebuild =
{
 [2008]= 2,
 [2019]= 6,
 [2001]= 6,
 [2011]= 2,
 [2009]= 7,
 [2017]= 7,
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 2001, gadget_id = 70350145, pos = { x = 17.546, y = -4.161, z = -67.778 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2002, gadget_id = 70350145, pos = { x = 17.546, y = -4.160, z = -71.778 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2003, gadget_id = 70350145, pos = { x = 17.546, y = -4.147, z = -63.778 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2004, gadget_id = 70350145, pos = { x = -20.303, y = -0.350, z = -75.965 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2005, gadget_id = 70350145, pos = { x = -16.891, y = -0.347, z = -73.556 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2006, gadget_id = 70350145, pos = { x = -13.322, y = -0.353, z = -75.864 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2007, gadget_id = 70350145, pos = { x = 39.759, y = -4.151, z = -67.932 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2008, gadget_id = 70350145, pos = { x = 42.759, y = -4.160, z = -70.932 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2009, gadget_id = 70350145, pos = { x = 42.759, y = -4.160, z = -64.932 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2010, gadget_id = 70350145, pos = { x = 36.759, y = -4.160, z = -70.931 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2011, gadget_id = 70350145, pos = { x = 36.773, y = -4.159, z = -64.983 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2012, gadget_id = 70350145, pos = { x = -16.460, y = -0.350, z = -62.179 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2013, gadget_id = 70350145, pos = { x = -13.214, y = -0.351, z = -59.696 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2014, gadget_id = 70350145, pos = { x = 29.095, y = -4.146, z = -52.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2015, gadget_id = 70350145, pos = { x = 23.140, y = -4.150, z = -52.761 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2016, gadget_id = 70350145, pos = { x = 29.133, y = -4.141, z = -58.906 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2017, gadget_id = 70350145, pos = { x = 26.133, y = -4.147, z = -55.906 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2018, gadget_id = 70350145, pos = { x = 23.133, y = -4.150, z = -58.906 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2019, gadget_id = 70350145, pos = { x = 13.563, y = -4.163, z = -65.936 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2020, gadget_id = 70350145, pos = { x = 13.563, y = -4.163, z = -69.935 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2021, gadget_id = 70350145, pos = { x = -19.846, y = -0.350, z = -59.770 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2043, gadget_id = 70350145, pos = { x = 23.133, y = -4.150, z = -83.008 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2044, gadget_id = 70350145, pos = { x = 26.133, y = -4.147, z = -80.008 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2045, gadget_id = 70350145, pos = { x = 29.133, y = -4.141, z = -83.008 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2046, gadget_id = 70350145, pos = { x = 23.140, y = -4.150, z = -76.863 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 2047, gadget_id = 70350145, pos = { x = 29.095, y = -4.146, z = -76.868 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 2022, pos = { x = 17.546, y = -4.161, z = -67.778 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2023, pos = { x = 17.546, y = -4.160, z = -71.778 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2024, pos = { x = 17.546, y = -4.147, z = -63.778 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2025, pos = { x = -20.303, y = -0.350, z = -75.965 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2026, pos = { x = -16.891, y = -0.347, z = -73.556 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2027, pos = { x = -13.322, y = -0.353, z = -75.864 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2028, pos = { x = 39.759, y = -4.151, z = -67.932 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2029, pos = { x = 42.759, y = -4.160, z = -70.932 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2030, pos = { x = 42.759, y = -4.160, z = -64.932 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2031, pos = { x = 36.759, y = -4.160, z = -70.931 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2032, pos = { x = 36.773, y = -4.159, z = -64.983 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2033, pos = { x = -16.460, y = -0.350, z = -62.179 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2034, pos = { x = -13.214, y = -0.351, z = -59.696 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2035, pos = { x = 29.095, y = -4.146, z = -52.766 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2036, pos = { x = 23.140, y = -4.150, z = -52.761 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2037, pos = { x = 29.133, y = -4.141, z = -58.906 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2038, pos = { x = 26.133, y = -4.147, z = -55.906 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2039, pos = { x = 23.133, y = -4.150, z = -58.906 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2040, pos = { x = 13.540, y = -4.163, z = -65.871 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2041, pos = { x = 13.563, y = -4.163, z = -69.935 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2042, pos = { x = -19.846, y = -0.350, z = -59.770 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2048, pos = { x = 23.133, y = -4.150, z = -83.042 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2049, pos = { x = 26.133, y = -4.147, z = -80.041 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2050, pos = { x = 29.133, y = -4.141, z = -83.041 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2051, pos = { x = 23.090, y = -4.150, z = -76.835 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2052, pos = { x = 29.095, y = -4.146, z = -76.901 }, rot = { x = 0.000, y = 270.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_6/TowerDefense_Gear_V3.0"
